Уязвимость BDU:2020-01435

Дата: 09.12.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01435.

Наименование уязвимости: Уязвимость функции sqlite3WindowRewrite() системы управления базами данных SQLite, связанная с недостаточной обработкой исключительных состояний, позволяющая нарушителю оказать воздействие на целостность данных.

Описание уязвимости: Уязвимость функции sqlite3WindowRewrite() системы управления базами данных SQLite связана с некорректной обработкой некоторых деревьев синтаксического анализатора. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, оказать воздействие на целостность данных
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система АО «НПО РусБИТех» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система АО «НПО РусБИТех» Astra Linux 8.1 «Ленинград» | СУБД Hipp, Wyrick & Company, Inc. SQLite до 3.30.1 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | OpenSUSE Leap 151 | Ubuntu 1910 | Astra Linux 81 «Ленинград» |
Дата выявления: 09.12.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:P/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,3)

Возможные меры по устранению:
Использование рекомендаций:
Для SQLite:
https://github.com/sqlite/sqlite/commit/57f7ece78410a8aae86aa4625fb7556897db384c

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=71831011
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81

Для Debian GNU/Linux:
Обновление программного обеспечения (пакета sqlite3) до 3.16.2-5+deb9u1 или более поздней версии

Для Ubuntu:
https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19224

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2019-19224
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-19924.

Тип ошибки CWE: CWE-755
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2019-19924
https://security-tracker.debian.org/tracker/CVE-2019-19924
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20200327SE16
https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19224
https://www.suse.com/security/cve/CVE-2019-19224
https://github.com/sqlite/sqlite/commit/57f7ece78410a8aae86aa4625fb7556897db384c
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *